include $(top_srcdir)/config/automake.common

AUTOMAKE_OPTIONS = foreign

#SUBDIRS 		  = fi  ci fi cfi misc hdfi .

libmedC_la_SOURCES = MEDaffiche.c
nodist_EXTRA_libmedC_la_SOURCES = dummy.cxx
libmedC_la_LDFLAGS = -no-undefined -version-info 2:5:1
libmedC_la_CFLAGS = -I$(top_srcdir)/include -I$(top_builddir)/include $(HDF5_INCLUDES)
libmedC_la_LIBADD  = $(HDF5_LIBS)

lib_LTLIBRARIES   = libmed.la libmedC.la
nodist_EXTRA_libmed_la_SOURCES = dummy.cxx
libmed_la_LDFLAGS = -no-undefined -version-info 2:5:1
libmed_la_LIBADD  = libmedC.la $(FLIBS)
libmed_la_CFLAGS = -I$(top_srcdir)/include -I$(top_builddir)/include $(HDF5_INCLUDES)

libci_la_SOURCES   = \
ci/MEDchampCr.c\
ci/MEDchampEcr.c\
ci/MEDchampInfo.c\
ci/MEDchampLire.c\
ci/MEDchampRefInfo.c\
ci/MEDconnEcr.c\
ci/MEDconnLire.c\
ci/MEDcoordEcr.c\
ci/MEDcoordLire.c\
ci/MEDdemonter.c\
ci/MEDdimEspaceCr.c\
ci/MEDdimEspaceLire.c\
ci/MEDdimLire.c\
ci/MEDelementsEcr.c\
ci/MEDelementsLire.c\
ci/MEDequivCr.c\
ci/MEDequivEcr.c\
ci/MEDequivInfo.c\
ci/MEDequivLire.c\
ci/MEDfamCr.c\
ci/MEDfamEcr.c\
ci/MEDfamInfo.c\
ci/MEDfamLire.c\
ci/MEDfermer.c\
ci/MEDfichDesEcr.c\
ci/MEDfichEntete.c\
ci/MEDformatConforme.c\
ci/MEDgaussEcr.c\
ci/MEDgaussInfo.c\
ci/MEDgaussLire.c\
ci/MEDgro2famCr.c\
ci/MEDindicesCoordEcr.c\
ci/MEDindicesCoordLire.c\
ci/MEDjointEcr.c\
ci/MEDjointLire.c\
ci/MEDjointCr.c\
ci/MEDjointInfo.c\
ci/MEDjointnCorres.c\
ci/MEDjointTypeCorres.c\
ci/MEDlFichDes.c\
ci/MEDglobalNumEcr.c\
ci/MEDglobalNumLire.c\
ci/MEDlienEcr.c\
ci/MEDlienInfo.c\
ci/MEDlienLire.c\
ci/MEDmaaCr.c\
ci/MEDmaaInfo.c\
ci/MEDmonter.c\
ci/MEDnAttribut.c\
ci/MEDnatureGrilleEcr.c\
ci/MEDnatureGrilleLire.c\
ci/MEDnbnoisEcr.c\
ci/MEDnbnoisLire.c\
ci/MEDnbnomaEcr.c\
ci/MEDnbnomaLire.c\
ci/MEDnbnosoEcr.c\
ci/MEDnbnosoLire.c\
ci/MEDnChamp.c\
ci/MEDnChampRef.c\
ci/MEDnCorres.c\
ci/MEDnEntites.c\
ci/MEDnEntMaa.c\
ci/MEDnEquiv.c\
ci/MEDnFam.c\
ci/MEDnGauss.c\
ci/MEDnGroupe.c\
ci/MEDnJoint.c\
ci/MEDnLien.c\
ci/MEDnMaa.c\
ci/MEDnoeudsEcr.c\
ci/MEDnoeudsLire.c\
ci/MEDnomEcr.c\
ci/MEDnomLire.c\
ci/MEDnPasdetemps.c\
ci/MEDnProfil.c\
ci/MEDnScalaire.c\
ci/MEDnScalairePasdeTemps.c\
ci/MEDnumEcr.c\
ci/MEDnumLire.c\
ci/MEDnVal.c\
ci/MEDnValLien.c\
ci/MEDnValProfil.c\
ci/MEDouvrir.c\
ci/MEDpasdetempsInfo.c\
ci/MEDpolyedreConnEcr.c\
ci/MEDpolyedreConnLire.c\
ci/MEDpolyedreInfo.c\
ci/MEDpolygoneConnEcr.c\
ci/MEDpolygoneConnLire.c\
ci/MEDpolygoneInfo.c\
ci/MEDprofilEcr.c\
ci/MEDprofilInfo.c\
ci/MEDprofilLire.c\
ci/MEDscalaireCr.c\
ci/MEDscalaireEntierEcr.c\
ci/MEDscalaireEntierLire.c\
ci/MEDscalaireFlottantEcr.c\
ci/MEDscalaireFlottantLire.c\
ci/MEDscalaireInfo.c\
ci/MEDscalairePasdetempsInfo.c\
ci/MEDstructureCoordEcr.c\
ci/MEDstructureCoordLire.c\
ci/MEDunvCr.c\
ci/MEDunvLire.c\
ci/MEDversionConforme.c\
ci/MEDversionDonner.c\
ci/MEDversionLire.c \
ci/MEDchampEcr231.c \
ci/MEDchampEcr232.c \
ci/MEDchampEcr233.c \
ci/MEDjointCr231.c \
ci/MEDjointCr232.c \
ci/MEDfamCr231.c \
ci/MEDfamCr232.c 


libmisc_la_SOURCES   = \
misc/MEDcstring.c              misc/MED1cstring.c          misc/MEDnomDataset.c \
misc/MED2cstring.c             misc/MEDnomEntite.c \
misc/MEDGeometrieElement.c     misc/MEDnomGeometrie.c \
misc/MEDcstringFree.c          misc/MEDparametresGeometrie.c \
misc/MEDfstring.c              misc/MEDexitIf.c

libmisc_la_SOURCES += \
misc/MEDversionedApi.cxx misc/MEDversionedApiC.c \
misc/MEDmodeAcces.cxx misc/MEDmodeAccesC.c \
misc/MEDerreur.cxx

libhdfi_la_SOURCES   = \
hdfi/MEDattrFermer.c \
hdfi/MEDattrNumEcrire.c \
hdfi/MEDattrNumLire.c \
hdfi/MEDattrOuvrir.c \
hdfi/MEDattrStringEcrire.c \
hdfi/MEDattrStringLire.c \
hdfi/MEDdatagroupCreer.c \
hdfi/MEDdatagroupFermer.c \
hdfi/MEDdatagroupOuvrir.c \
hdfi/MEDdatagroupLienSupprimer.c \
hdfi/MEDdatagroupLienCreer.c \
hdfi/MEDdatasetFermer.c \
hdfi/MEDdatasetNumEcrire.c \
hdfi/MEDdatasetNumLire.c \
hdfi/MEDdatasetOuvrir.c \
hdfi/MEDdatasetStringEcrire.c \
hdfi/MEDdatasetStringLire.c \
hdfi/MEDfichierCreer.c \
hdfi/MEDfichierFermer.c \
hdfi/MEDfichierOuvrir.c \
hdfi/MEDfichierNo.c \
hdfi/MEDindiceInfo.c \
hdfi/MEDindiceNum.c \
hdfi/MEDmodeErreurVerrouiller.c \
hdfi/MEDnObjets.c \
hdfi/MEDobjetIdentifer.c \
hdfi/MEDfichierMonter.c \
hdfi/MEDfichierDemonter.c \
hdfi/MEDobjetsOuverts.c \
hdfi/MEDdatasetNumEcrire231.c \
hdfi/MEDdatasetNumEcrire232.c \
hdfi/MEDdatasetNumLire231.c \
hdfi/MEDdatasetNumLire232.c

libmedC_la_SOURCES += $(libci_la_SOURCES)
libmedC_la_SOURCES += $(libmisc_la_SOURCES)
libmedC_la_SOURCES += $(libhdfi_la_SOURCES)

libfi_la_SOURCES = fi/equf.f  \
fi/fichf.f  fi/interf.f fi/jntf.f fi/resf.f \
fi/entmaaf.f  fi/famf.f  fi/maaf.f    fi/prof.f \
fi/scalaire.f fi/gauss.f fi/exit.f

libcfi_la_SOURCES   = cfi/equcf.c cfi/fichcf.c cfi/intercf.c cfi/jntcf.c cfi/rescf.c \
cfi/entmaacf.c cfi/famcf.c cfi/maacf.c cfi/procf.c cfi/scalairecf.c cfi/gausscf.c cfi/exitcf.c
libcfi_la_SOURCES   += cfi/famcf231.c cfi/famcf232.c
libcfi_la_SOURCES   += cfi/MEDversionedApiF.cxx

libmed_la_SOURCES   = $(libfi_la_SOURCES)
libmed_la_SOURCES += $(libcfi_la_SOURCES)
