include $(top_srcdir)/config/automake.common
include $(srcdir)/config/medimport.common

AUTOMAKE_OPTIONS = foreign

SUBDIRS 		  = include

AM_CPPFLAGS+= -I$(srcdir)/include

lib_LTLIBRARIES   = libmedimport.la 
libmedimport_la_SOURCES = libmedimport.c
nodist_EXTRA_libmedimport_la_SOURCES = dummy1.cxx
libmedimport_la_CFLAGS = -I$(srcdir)/include -I@top_srcdir@/include -I@top_builddir@/include $(HDF5_INCLUDES)
libmedimport_la_LDFLAGS =  -no-undefined -version-info 0:0:0
libmedimport_la_LIBADD  = $(top_builddir)/src/libmed.la $(FLIBS)

libMaj21To22_la_SOURCES   = \
2.1.x/MAJ_21_22_chaine.c \
2.1.x/MAJ_21_22_champs.c            \
2.1.x/MAJ_21_22_localisation_Gauss.c\
2.1.x/MAJ_21_22_profils.c\
2.1.x/MAJ_21_22_elements_maillage.c\
2.1.x/MAJ_21_22_maillages.c\
2.1.x/MED21attrNumLire.c\
2.1.x/MAJ_21_22_familles_maillage.c\
2.1.x/MAJ_21_22_noeuds_maillage.c\
2.1.x/MED21datasetNumLire.c

libmedimport_la_SOURCES += $(libMaj21To22_la_SOURCES)

libMaj231To232_la_SOURCES   = \
2.3.1/MAJ_231_232_champs.c\
2.3.1/MED231champLireEtUnlink.c\
2.3.1/MED231datasetNumEcrire.c\
2.3.1/MED231datasetNumLire.c\
2.3.1/MED231champNormaliser.c \
2.3.1/MAJ_231_232_maillages.c \
2.3.1/MED231champInfoEtRen.c \
2.3.1/MAJ_231_232_chaine.c \
2.3.1/MED231champRefInfoEtRenMaa.c


libmedimport_la_SOURCES += $(libMaj231To232_la_SOURCES)

lib_LTLIBRARIES   += libmedimportcxx.la 
libmedimportcxx_la_SOURCES = libmedimportbuilt.cxx
libmedimportcxx_la_LDFLAGS =  -no-undefined -version-info 0:0:0
libmedimportcxx_la_LIBADD  = $(top_builddir)/src/libmed.la $(FLIBS)
CLEANFILES = libmedimportbuilt.cxx
libmedimportcxx_la_CFLAGS = -I$(srcdir)/include -I@top_srcdir@/include -I@top_builddir@/include $(HDF5_INCLUDES)

buildCxxFile1 =  \
2.1.x/MAJ_21_22_chainebuilt.cxx \
2.1.x/MAJ_21_22_champsbuilt.cxx            \
2.1.x/MAJ_21_22_localisation_Gaussbuilt.cxx\
2.1.x/MAJ_21_22_profilsbuilt.cxx\
2.1.x/MAJ_21_22_elements_maillagebuilt.cxx\
2.1.x/MAJ_21_22_maillagesbuilt.cxx\
2.1.x/MED21attrNumLirebuilt.cxx\
2.1.x/MAJ_21_22_familles_maillagebuilt.cxx\
2.1.x/MAJ_21_22_noeuds_maillagebuilt.cxx\
2.1.x/MED21datasetNumLirebuilt.cxx

libMaj21To22cxx_la_SOURCES   = $(buildCxxFile1)

libmedimportcxx_la_SOURCES += $(libMaj21To22cxx_la_SOURCES)

buildCxxFile2 =  \
2.3.1/MAJ_231_232_champsbuilt.cxx\
2.3.1/MED231champLireEtUnlinkbuilt.cxx\
2.3.1/MED231datasetNumEcrirebuilt.cxx\
2.3.1/MED231datasetNumLirebuilt.cxx\
2.3.1/MED231champNormaliserbuilt.cxx

libMaj231To232cxx_la_SOURCES   = $(buildCxxFile2)

libmedimportcxx_la_SOURCES += $(libMaj231To232cxx_la_SOURCES)

bin_PROGRAMS = medimport
medimport_SOURCES = medimport.c
nodist_EXTRA_medimport_SOURCES = dummy2.cxx
medimport_LDADD  = ./libmedimport.la $(top_builddir)/src/libmed.la
medimport_CFLAGS = -I$(srcdir)/include -I@top_srcdir@/include -I@top_builddir@/include $(HDF5_INCLUDES)

noinst_PROGRAMS = medimportcxx
medimportcxx_SOURCES = medimportcxx.cxx
medimportcxx_LDADD  = ./libmedimportcxx.la $(top_builddir)/src/libmed.la

